import { makeObservable } from "mobx";
// 用户信息
import BaseStore from "./baseStore";
import { TagDataType } from "@/model/userModel";

class ArchivesConfig {
    static LIST: string = "archives/folder/list"
    static ADD: string = "archives"
    static DELETE: string = "archives"
    static EDIT: string = "archives"
}
class ArchivesStore extends BaseStore<TagDataType> {
    constructor() {
        super(ArchivesConfig)
        makeObservable(this, {})
    }
}

// eslint-disable-next-line import/no-anonymous-default-export
export default new ArchivesStore();
 